<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::TextureUnitState Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#64b0c99b0a3f9c756643760c57833b2d">_getAnimController</a>() const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#2b2c29b9ab1f4f84c884bbf3dd71dc28">_getTexturePtr</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#f84b01ede2918a5843e60a149bc4f81c">_getTexturePtr</a>(size_t frame) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#152b9706e34afd01006ccdd7e2ef7c99">_load</a>(void)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#78895c49d27597bf3e11fc7269373124">_notifyNeedsRecompile</a>(void)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#69a867f544a08845a86acc421476c3e4">_notifyParent</a>(Pass *parent)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#baa17fc5f6b4d96bfe19ecc6c78a331e">_setTexturePtr</a>(const TexturePtr &amp;texptr)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#6236e0e398c153980ff06f13e58a667b">_setTexturePtr</a>(const TexturePtr &amp;texptr, size_t frame)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#1ad9f708a4e716ca5603bb96c61960ba">_unload</a>(void)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#63fcdc07aea7a558c046c826ae510f39">addEffect</a>(TextureEffect &amp;effect)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#8532ad689770975afe46a3ddd49123a8">addFrameTextureName</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#1d18cb7a792b05d9ffd6192d7f9a252f">applyTextureAliases</a>(const AliasTextureNamePairList &amp;aliasList, const bool apply=true)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#411bcf3e69280ce146f09ddc73d9e7e8">BindingType</a> enum name</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#411bcf3e69280ce146f09ddc73d9e7e839c5f87a9b1c5873ece87f48cba19970">BT_FRAGMENT</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#411bcf3e69280ce146f09ddc73d9e7e8857de1fa5e307a5a5b0df779ad4a470e">BT_VERTEX</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#35a108a68c71c8267af4af8c1a8190301bffc0ebc06c072fd00b5e032ba3ce01">CONTENT_NAMED</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#35a108a68c71c8267af4af8c1a819030781de9de8d083db90677da1176d8ba82">CONTENT_SHADOW</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#35a108a68c71c8267af4af8c1a819030">ContentType</a> enum name</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#b4d5261031fd84da425ee5a90705b428">createAnimController</a>(void)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#7fb91bcbb34f35d93edad7d9ef9f3076">createEffectController</a>(TextureEffect &amp;effect)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#2584766311cf6d0eaada7be28c287cc34459a171ecd0fe942dc5b5f8e517ecb2">CUBE_BACK</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#2584766311cf6d0eaada7be28c287cc3819e8a0cf0892c671d2fb4835780a12a">CUBE_DOWN</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#2584766311cf6d0eaada7be28c287cc3a9d74ce7d0576d0dda5b5046a6434529">CUBE_FRONT</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#2584766311cf6d0eaada7be28c287cc32062c3ecab68e4d86345293283f69a19">CUBE_LEFT</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#2584766311cf6d0eaada7be28c287cc35044b1ee092361549f2ea953ed344b0a">CUBE_RIGHT</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#2584766311cf6d0eaada7be28c287cc3b085d126cff272045a1e616adbd2d726">CUBE_UP</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#7997d8a1385a7538a443c74d94a7cf75">deleteFrameTextureName</a>(const size_t frameNumber)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#76b0d087ff12f806b0bd5e8b97d466bf">EffectMap</a> typedef</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#06235b902bdc4d036ed4829af0d0c5f7">ensureLoaded</a>(size_t frame) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#72a88b1cf11053da98fa25f98689931e5a2d57450ada903ba586826344b7dbcb">ENV_CURVED</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#72a88b1cf11053da98fa25f98689931ee1644f418a586fea471d808485a7a036">ENV_NORMAL</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#72a88b1cf11053da98fa25f98689931e50895f1c891eedb007500965ca4c204a">ENV_PLANAR</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#72a88b1cf11053da98fa25f98689931e3983cce37fbce61c118d202278166be9">ENV_REFLECTION</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#72a88b1cf11053da98fa25f98689931e">EnvMapType</a> enum name</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#717b14961a636b3a18b8ab3dcef616262f0676d96ba378e32c3087fff9b7e73e">ET_ENVIRONMENT_MAP</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#717b14961a636b3a18b8ab3dcef61626e6f4dff5b324b7aa28253c37702a5131">ET_PROJECTIVE_TEXTURE</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#717b14961a636b3a18b8ab3dcef616269afa2c9da615898c1a045e19bb3e602b">ET_ROTATE</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#717b14961a636b3a18b8ab3dcef6162697cd551c90f9f6000fe231f542815852">ET_TRANSFORM</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#717b14961a636b3a18b8ab3dcef61626b5e67e4d891aad2e60925b216de34f08">ET_USCROLL</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#717b14961a636b3a18b8ab3dcef61626ddf3dd2bc4eeabca2968c71600c347aa">ET_UVSCROLL</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#717b14961a636b3a18b8ab3dcef6162697f8687c21d13e08b89d22902919acaa">ET_VSCROLL</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#e14f05c58f83e60947bc9ea9a29ac04b">getAlphaBlendMode</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#3aa3eb728738058cc541a66718de4aef">getAnimationDuration</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#099842209726a8074d7fb24797bb95ea">getBindingType</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#8bb8a12ef32c6686450a055475b1b6e6">getColourBlendFallbackDest</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#1ddf171e943c74369beaed4a06d46b6d">getColourBlendFallbackSrc</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#64d9ce107ecdd7aec5c84eb95b44b64c">getColourBlendMode</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#b9a42d295660d1be4fb9647c5ebf78d7">getContentType</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#1c75c78dcae6f5a1cee80a98687bfa8a">getCurrentFrame</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#9943cbeee15a513a5f44eb20c81e4985">getDesiredFormat</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#c2b3dd21bdef367feb49fe0a1e537ba7">getEffects</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#9f5ef2471adde09487f3b6c700e601d7">getFrameTextureName</a>(unsigned int frameNumber) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#48d623e34ae5d401bd8f4442f0dd47cb">getIsAlpha</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#dadef9033bfc0e3e0f657467a69df413">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#810db99f63ada1abd9a90a221d8eaf99">getNumFrames</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#1495f220988a7c0da32c280515f41792">getNumMipmaps</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#325c1f726b6757635c6de6d2b2db497c">getParent</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#dc7ecd205eaaf35d14b5069bc000bbe5">getTextureAddressingMode</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#df457003f6d914e0d88d95f8bce2a319">getTextureAnisotropy</a>() const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#f83f6412481cd8647f3a296a3b38bb2e">getTextureBorderColour</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#1f5ff05efcb1feb13eb020d2640e0c5f">getTextureCoordSet</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#d1b53a83f76b50c1ee4d308c38c85422">getTextureDimensions</a>(unsigned int frame=0) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#a71c8351eaaee1f08303809338f6c73c">getTextureFiltering</a>(FilterType ftpye) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#6ae07dacb0695b4cd5bf86d9930ef693">getTextureMipmapBias</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#a847a36f1411478476b589f22a725ffb">getTextureName</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#91157035b59a30a26941c714348d9940">getTextureNameAlias</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#a99a800b70da994671a56ed1a2c1ffa9">getTextureRotate</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#c763ca60207f32d736ed8cef1676bdf8">getTextureTransform</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#71213f77aa78483e8663a7abf8cf404f">getTextureType</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#e260644afca2f5e73c7cf31de36d4119">getTextureUScale</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#cd9e70be713a0e20bb07b953ee573bca">getTextureUScroll</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#3e4335d79bf46ebd31c9c4e56243961a">getTextureVScale</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#dc48419fa82a93cb366025951c434900">getTextureVScroll</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#20eca5c85bf1479657806d818b99d407">hasViewRelativeTextureCoordinateGeneration</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#7e433c1712d847b079300537499bfde1">is3D</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#625e5890b1fd075aa031774acfc328b8">isBlank</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#e57a8134214f63ef43a743fa75efde9f">isCubic</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#60d5a237384561c30366b7d96bdd98a1">isLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#8d90872718c80548803b2d50a0b0db0f">isTextureLoadFailing</a>() const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#7b12601e083ad571000e0cffd5afc1d9">mAddressMode</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#3a4e9259b5176ce14b6218534f0b1a98">mAlphaBlendMode</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#acf0a13bef6f6ceccc4414c637cbe536">mAnimController</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#d0f7fc91e92d142a4e68284600fe7e15">mAnimDuration</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#1a5e68549284202630b394270fbe6345">mBindingType</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#0eb57ea895d62837a30b2c954a25126d">mBorderColour</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#34dcbc16f2874661170fd0032ce645b3">mColourBlendFallbackDest</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#b40a54bcaea6267ff0ca718fd4a5fdd2">mColourBlendFallbackSrc</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#cde3dab80bb18a1e9c207c863dc262ff">mColourBlendMode</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#b0d0d1b22588fdfc80021a5ea664ce28">mContentType</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#1feca5150a0892fdcfef56798e495abb">mCubic</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#02c7c1e3b0b496b5a2104b615e35cc7c">mCurrentFrame</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#56d7162ad10f089ec8b2c3a6eb46c86a">mDesiredFormat</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#a9886890d8f908e93aa49ee2f6737686">mEffects</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#b0dbceb8adb15dccfcbaade33b4f72d4">mFramePtrs</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#2c70c3128f22e9776c54c03ba5de7bcc">mFrames</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#46856b75170d8b7e5f1eaf6a9b75ef40">mIsAlpha</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#70d87ad455ba800eda429a6b88ca3970">mIsDefaultAniso</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#ac714e0b0ba7e099653ffc05ba1f54e4">mIsDefaultFiltering</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#aea7aaece5d1aa316598b30638afb6c8">mMagFilter</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#8f18154fdf1215a3e92347b9b903797e">mMaxAniso</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#9aa242fe4a0ea13a48381d31b849f78b">mMinFilter</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#75ce7828e7abfd21c5bee0eac8de121e">mMipFilter</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#5190ada8aa5e3bd0280838f7f845da52">mMipmapBias</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#5720899cf50fe9a083b279db79a977d9">mName</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#758554904569551f94a00c8658d2e03d">mParent</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#c6a71eefb751eaa7b147b933a6f03eb4">mRecalcTexMatrix</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#f00c72d4b2f5f52dc453ad99fe864428">mRotate</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#451f6a41865f4fe17c30465c4df2c174">mTexModMatrix</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#0f825abfffce07c85d14a1f3e146c9a9">mTextureCoordSetIndex</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#4aaf331d8eafccaafad55e5a9d682a12">mTextureLoadFailed</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#3f509724926adbf8f088ad609a447bd1">mTextureNameAlias</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#5c3baa130f3ae269744d9fe381d11c38">mTextureSrcMipmaps</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#677d07dd4cd3562667bb734abbfb341d">mTextureType</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#84115c7cb44fa4a83dcc51736979af4c">mUMod</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#ba7e98537df7dacaeb9d320bd9ef0fd3">mUScale</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#dbb7dff7456737a962a188a666694534">mVMod</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#09ccefafa9be317c4b3abec8234132d6">mVScale</a></td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#ba48cec6d1b8ce8973b0fa1dac2312b7">operator=</a>(const TextureUnitState &amp;oth)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#5214a187bb2756b580178a2bfca58a4c">recalcTextureMatrix</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#2e87ea16834839d12c8c8a78e4e56302">removeAllEffects</a>(void)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#99cc16130a5124dc6ac108d4647d2d31">removeEffect</a>(const TextureEffectType type)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#06b786d8e0847dfe9cc15e1dea308fcd">RenderSystem</a> class</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#35ba5dfc7d336a92a1a3eccd260293eb">retryTextureLoad</a>()</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#e5e48cac8f87dad78d040364021b7a95">setAlphaOperation</a>(LayerBlendOperationEx op, LayerBlendSource source1=LBS_TEXTURE, LayerBlendSource source2=LBS_CURRENT, Real arg1=1.0, Real arg2=1.0, Real manualBlend=0.0)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#50e1e1cd7feecd8b4c1f914b5c361413">setAnimatedTextureName</a>(const String &amp;name, unsigned int numFrames, Real duration=0)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#71b18f9c8f0bcfc7324b5ebbcee40ae3">setAnimatedTextureName</a>(const String *const names, unsigned int numFrames, Real duration=0)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#0ab7a2779ea196f2d51435d12a02d81f">setBindingType</a>(BindingType bt)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#0bfa625ec4957f67d61dd98691d632df">setBlank</a>(void)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#a47f44936c3090c97d8b4179333a208b">setColourOperation</a>(const LayerBlendOperation op)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#5f3994ce2f61c6c6fee6fe8f89c9e369">setColourOperationEx</a>(LayerBlendOperationEx op, LayerBlendSource source1=LBS_TEXTURE, LayerBlendSource source2=LBS_CURRENT, const ColourValue &amp;arg1=ColourValue::White, const ColourValue &amp;arg2=ColourValue::White, Real manualBlend=0.0)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#1c4dcca2a0d343dc6660b9071cd4c79f">setColourOpMultipassFallback</a>(const SceneBlendFactor sourceFactor, const SceneBlendFactor destFactor)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#dfaae68c0291e96fb75ba217d94e67bf">setContentType</a>(ContentType ct)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#ef7c395bc62173060141717a79681a97">setCubicTextureName</a>(const String &amp;name, bool forUVW=false)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#e19baf627a3dffd5795985bb16f4967b">setCubicTextureName</a>(const String *const names, bool forUVW=false)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#040a7a49541296837b3e0a0289b7c4c8">setCurrentFrame</a>(unsigned int frameNumber)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#09a45c146f4e26397d2f5b0d885bd893">setDesiredFormat</a>(PixelFormat desiredFormat)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#33ea31aeae9a25f1b05e2d987cbb891e">setEnvironmentMap</a>(bool enable, EnvMapType envMapType=ENV_CURVED)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#ffd8342a0a86bc34f727dc6b4b21f565">setFrameTextureName</a>(const String &amp;name, unsigned int frameNumber)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#14b38dfbd84aec82f1bbe9f34e121180">setIsAlpha</a>(bool isAlpha)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#bad476c32cafd8defc6f3c6da71dd2cb">setName</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#ca6e1c5091f01b523e71952a17ad635b">setNumMipmaps</a>(int numMipmaps)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#56edced19709cbda365eae03b590a5e1">setProjectiveTexturing</a>(bool enabled, const Frustum *projectionSettings=0)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#72e3695b81f12b32762237c5de202dff">setRotateAnimation</a>(Real speed)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#45bd669bcc64ec417fe4208aa5cfd685">setScrollAnimation</a>(Real uSpeed, Real vSpeed)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#c6116d92e9a3978aa367496c8b7bae5b">setTextureAddressingMode</a>(TextureAddressingMode tam)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#23a5f83043eeaf14c41e9930b91eeb09">setTextureAddressingMode</a>(TextureAddressingMode u, TextureAddressingMode v, TextureAddressingMode w)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#8de35701b96f52764d292c580aa345fb">setTextureAddressingMode</a>(const UVWAddressingMode &amp;uvw)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#bb2bc03bc72f2098e37c4240f637c5e5">setTextureAnisotropy</a>(unsigned int maxAniso)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#4685adfbadf451fd318b3ea900abfca2">setTextureBorderColour</a>(const ColourValue &amp;colour)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#70c55b5db14e54e2e7a991f548b6387d">setTextureCoordSet</a>(unsigned int set)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#30757c168b734902d03720e3f36c27d4">setTextureFiltering</a>(TextureFilterOptions filterType)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#363c69770217425598c716430abd159a">setTextureFiltering</a>(FilterType ftype, FilterOptions opts)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#fccaca77406c883c5bfe440b7ed3c3e4">setTextureFiltering</a>(FilterOptions minFilter, FilterOptions magFilter, FilterOptions mipFilter)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#cfe54cc0ec2c1247a90094d004d77db1">setTextureMipmapBias</a>(float bias)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#a2261f5949b6e8185e46999b7ddaf93f">setTextureName</a>(const String &amp;name, TextureType ttype=TEX_TYPE_2D)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#c91d942e89e887cc7143a6073adc520c">setTextureNameAlias</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#9239845b4de453c450e40f2c5f46cc8d">setTextureRotate</a>(const Radian &amp;angle)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#a5be6f7e13179f692c9af7c494c703cf">setTextureScale</a>(Real uScale, Real vScale)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#354b3466d8c49e6f0057dea8206d3dd4">setTextureScroll</a>(Real u, Real v)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#c7f99a83fe25f06af508b55e3ab381da">setTextureTransform</a>(const Matrix4 &amp;xform)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#112573713ccb2f221acf4a6d4c95c64c">setTextureUScale</a>(Real value)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#8b8123ca656ea172565cb6d4e9ef8224">setTextureUScroll</a>(Real value)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#f73cbd6d4bc2dbf21596da3a8d0dc4fd">setTextureVScale</a>(Real value)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#83752e3f64f9a345abbfd143f213f586">setTextureVScroll</a>(Real value)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#f56112cb1e6d144b8fd63b280d8ae350">setTransformAnimation</a>(const TextureTransformType ttype, const WaveformType waveType, Real base=0, Real frequency=1, Real phase=0, Real amplitude=1)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#47c5a9f4fc08159b99bdc51103bcf8524fe25e95df059a8d54bc3d9cf57986a0">TAM_BORDER</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#47c5a9f4fc08159b99bdc51103bcf85201e4d16b7bc55a9718db2e5a3bf22378">TAM_CLAMP</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#47c5a9f4fc08159b99bdc51103bcf8522f132fdcdbeea6b30d8cb84f2fc50239">TAM_MIRROR</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#47c5a9f4fc08159b99bdc51103bcf8529421f7d4fa30994823c3a011ca693a8d">TAM_WRAP</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#47c5a9f4fc08159b99bdc51103bcf852">TextureAddressingMode</a> enum name</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#2584766311cf6d0eaada7be28c287cc3">TextureCubeFace</a> enum name</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#717b14961a636b3a18b8ab3dcef61626">TextureEffectType</a> enum name</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#942a1ce66d0909d29ed09c98e9e6d82d">TextureTransformType</a> enum name</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#310855c1a22c81688d276cbaf62bd1bb">TextureUnitState</a>(Pass *parent)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#474f19d881bffa023e05852ad94c727a">TextureUnitState</a>(Pass *parent, const TextureUnitState &amp;oth)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#9b8a41ad39710320e10738f0a7d96f0d">TextureUnitState</a>(Pass *parent, const String &amp;texName, unsigned int texCoordSet=0)</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#942a1ce66d0909d29ed09c98e9e6d82decf829c4f898451d496f56e774e0eacf">TT_ROTATE</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#942a1ce66d0909d29ed09c98e9e6d82d7160eae1144aeb0cb6428416e465fd88">TT_SCALE_U</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#942a1ce66d0909d29ed09c98e9e6d82d6e85f00afb893c2bace9a394e5ac9f95">TT_SCALE_V</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#942a1ce66d0909d29ed09c98e9e6d82d46631ede4b31d448ebb891daf94cd526">TT_TRANSLATE_U</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#942a1ce66d0909d29ed09c98e9e6d82d81757d80ac644a8da31f107a9cc21fdc">TT_TRANSLATE_V</a> enum value</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureUnitState.html#21c2ac927f9f93472af7c8554c73bb0e">~TextureUnitState</a>()</td><td><a class="el" href="classOgre_1_1TextureUnitState.html">Ogre::TextureUnitState</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:55 2008
</p>
</body>
</html>
